Bug 518186 - possible circular locking dependency detected when installing from boot.iso
Summary: possible circular locking dependency detected when installing from boot.iso
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 12
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-19 11:36 UTC by Jan Stodola
Modified: 2010-12-05 06:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-05 06:35:22 UTC


Attachments (Terms of Use)
error message (6.50 KB, text/plain)
2009-08-19 11:36 UTC, Jan Stodola
no flags Details
message from rhel6 alpha2 boot.iso (3.88 KB, text/plain)
2009-09-09 15:40 UTC, Jan Stodola
no flags Details

Description Jan Stodola 2009-08-19 11:36:26 UTC
Created attachment 357922 [details]
error message

Description of problem:
In the end of installation using boot.iso, this message is printed (see attachment for the whole message):

=======================================================
[ INFO: possible circular locking dependency detected ]
2.6.31-0.125.4.2.rc5.git2.fc12.ppc64 #1
-------------------------------------------------------
sh/261 is trying to acquire lock:
 (&type->s_umount_key#25){++++..}, at: [<c0000000001d4580>] .deactivate_super+0xbc/0x11c

but task is already holding lock:
 (&bdev->bd_mutex){+.+.+.}, at: [<c00000000020b83c>] .__blkdev_put+0x5c/0x1d8

which lock already depends on the new lock.


Version-Release number of selected component (if applicable):
rawhide-20090818, kernel-2.6.31-0.125.4.2.rc5.git2.fc12.ppc64, anaconda-12.15-1.fc12

How reproducible:
always

Steps to Reproduce:
1. burn boot.iso on CD
2. boot from CD
3. finish installation
4. reboot machine, see messages on console
  
Actual results:
see attachment

Expected results:
no error mesaage

Comment 1 Jan Stodola 2009-09-09 15:40:17 UTC
Created attachment 360257 [details]
message from rhel6 alpha2 boot.iso

Comment 2 Bug Zapper 2009-11-16 11:32:41 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2010-11-04 10:27:23 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2010-12-05 06:35:22 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.